Add backported bnxt driver to the initramfs

Bug #1712491 reported by Juerg Haefliger on 2017-08-23
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
initramfs-tools (Ubuntu)
High
Andy Whitcroft
Trusty
Medium
Dan Streetman
Xenial
High
Andy Whitcroft

Bug Description

[Impact]
We're adding a backported bnxt driver to Xenial (LP #1711056). It's an alternate for the regular Xenial driver that only manages NICs that are not supported by the regular Xenial driver. Since the backported driver lives in the special location kernel/ubuntu/bnxt it's not automatically included in the initramfs. But it's boot-critical so it needs to be added to the initramfs.

[Test Case]
Install the Xenial kernel on hardware that contains a newer Broadcom NIC and boots over that NIC. The machine will not come up because the NIC is not recognized.

[Regression Risk]
The driver is only loaded for newer Broadcom NICs. Older NICs are still managed by the regular Xenial driver, so there should be no regression.

Juerg Haefliger (juergh) on 2017-08-29
description: updated
Juerg Haefliger (juergh) wrote :

The following patch has been tested succesfully:

--- hook-functions.orig 2017-08-21 08:00:47.303094616 +0000
+++ hook-functions 2017-08-23 07:43:56.893817027 +0000
@@ -519,6 +519,9 @@ auto_add_modules()
     macvtap.ko pcmcia sb1000.ko team tokenring \
     tun.ko usb veth.ko wan wimax wireless \
     xen-netback.ko
+
+ # Ubuntu backported bnxt driver
+ copy_modules_dir kernel/ubuntu/bnxt
   ;;
   ide)
    copy_modules_dir kernel/drivers/ide

Andy Whitcroft (apw) wrote :

Note that the driver currently only exists in xenial 4.4.0 kernel so this is only being applied to xenial and artful at this time.

Changed in initramfs-tools (Ubuntu):
importance: Undecided → High
Changed in initramfs-tools (Ubuntu Xenial):
importance: Undecided → High
Changed in initramfs-tools (Ubuntu):
assignee: nobody → Andy Whitcroft (apw)
Changed in initramfs-tools (Ubuntu Xenial):
assignee: nobody → Andy Whitcroft (apw)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package initramfs-tools - 0.125ubuntu10

---------------
initramfs-tools (0.125ubuntu10) artful; urgency=low

  * hook-functions: include backported bnxt driver. (LP: #1712491)

 -- Andy Whitcroft <email address hidden> Wed, 30 Aug 2017 11:28:51 +0100

Changed in initramfs-tools (Ubuntu):
status: New → Fix Released

Hello Juerg, or anyone else affected,

Accepted initramfs-tools into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/initramfs-tools/0.122ubuntu8.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in initramfs-tools (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed verification-needed-xenial
Juerg Haefliger (juergh) wrote :

This is looking great so far. Instance booted nicely, no signs of a
kernel panic. The driver was happily picked up in the initramfs. I'm
going to run it through some stress-ng tests to make sure everything is
fine but we're off to a good start.

tags: added: verification-done-xenial
removed: verification-needed-xenial
Dan Streetman (ddstreet) wrote :

As trusty can use the 4.4 kernel (via lts-xenial), this needs backporting to trusty initramfs-tools also, please.

Dan Streetman (ddstreet) on 2017-10-04
Changed in initramfs-tools (Ubuntu Trusty):
status: New → In Progress
importance: Undecided → Medium
assignee: nobody → Dan Streetman (ddstreet)
Andy Whitcroft (apw) wrote :

Sponsored for trusty.

Łukasz Zemczak (sil2100) wrote :

Hello Juerg, or anyone else affected,

Accepted initramfs-tools into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/initramfs-tools/0.103ubuntu4.9 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in initramfs-tools (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed-trusty
Dan Streetman (ddstreet) wrote :

ubuntu@lp1712491:~$ dpkg -l | grep initramfs-tools
ii initramfs-tools 0.103ubuntu4.8 all tools for generating an initramfs
ii initramfs-tools-bin 0.103ubuntu4.8 amd64 binaries used by initramfs-tools
ubuntu@lp1712491:~$ sudo lsinitramfs /boot/initrd.img-4.4.0-97-generic | grep bnxt
lib/modules/4.4.0-97-generic/kernel/drivers/net/ethernet/broadcom/bnxt
lib/modules/4.4.0-97-generic/kernel/drivers/net/ethernet/broadcom/bnxt/bnxt_en.ko

ubuntu@lp1712491:~$ dpkg -l | grep initramfs-tools
ii initramfs-tools 0.103ubuntu4.9 all tools for generating an initramfs
ii initramfs-tools-bin 0.103ubuntu4.9 amd64 binaries used by initramfs-tools
ubuntu@lp1712491:~$ sudo lsinitramfs /boot/initrd.img-4.4.0-97-generic | grep bnxt
lib/modules/4.4.0-97-generic/kernel/ubuntu/bnxt
lib/modules/4.4.0-97-generic/kernel/ubuntu/bnxt/bnxt_en_bpo.ko
lib/modules/4.4.0-97-generic/kernel/drivers/net/ethernet/broadcom/bnxt
lib/modules/4.4.0-97-generic/kernel/drivers/net/ethernet/broadcom/bnxt/bnxt_en.ko

fix verified.

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Dan Streetman (ddstreet) wrote :

failing autopkg tests for this:
linux-lts-xenial (and other EOL linux-lts-*)
  these failures are due to bug 1723223; known bug that is not related to this bug.
linux-exynos5 on armhf
  this failed due to a testbed failure, unrelated to this bug.
linux on armhf
  this failure is due to bug 1724044; known bug this is not related to this bug.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers